[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSingleHelper.PositiveInfinity

Positive infinity as represented by a single floating point type

## Declaration

Source position: syshelph.inc line 221

`public const TSingleHelper.PositiveInfinity: Single = 1.0 / 0.0;`

## Description

PositiveInfinity is the value representing positive infinity in a single-sized floating point value.

## See also

TSingleHelper.MaxValue |  | Largest possible value for the Single floating point type
TSingleHelper.MinValue |  | Smallest (negative) possible value for the Single floating point type
TSingleHelper.Epsilon |  | Precision for this floating point type
TSingleHelper.NegativeInfinity |  | Negative infinity as represented by a single floating point type
TSingleHelper.NaN |  | Representation of NaN (Not a Number)